/* particle.m,
 *
 * A single coloured pixel.  XXX?
 */

#include <allegro.h>
#include "common.h"
#include "debris/particle.h"
#include "map.h"


@implementation Particle
- init
{
    [super init];

    speed = rnd(15, 25) / 10.0;

    return self;
}

- (id) setColour:(int)c { colour = c; return self; }

- (void) draw:(BITMAP *)dest
{
    putpixel(dest, x-offsetX, y-offsetY, colour);
}
@end
